# Walltaker95
A Walltaker client for legacy Windows versions (<= Windows Vista)

## Build instructions (CachyOS)
```
$ paru -Sy cmake mingw-w64-toolchain mingw-w64-curl mingw-w64-openssl
$ mkdir build
$ cd build
$ cmake -DCMAKE_TOOLCHAIN_FILE=../TC-mingw.cmake ../
$ cmake --build .
```

Note: You'll need to supply a 32-bit `libcurl-4.dll` manually as I can't figure out how to make it build on its own at the moment.
You can grab the latest one from [curl.se](https://curl.se/windows/) which should at least work on XP.

Feature progress:

* [X] The bare minimum
    - [X] Downloads images
    - [X] Sets the wallpaper
    - [X] Converts images to BMP automatically
    - [X] Reads configuration from `wt95.ini`
    - [X] Runs in the background (Current method currently doesn't work in ME/98/95)
    - [X] Continuously and asychronously polls the Walltaker API
        - [X] Makes sure it isn't grabbing the same image every time
* [ ] Niceities
    - [ ] Context menu
        - [ ] Display who set the wallpaper
        - [ ] Display the e621 post ID
        - [ ] Buttons for reacting to the wallpaper
        - [ ] Button to open config file
    - [ ] Display e621 post ID in the tray icon's tooltip
    - [ ] Allow GIF wallpapers to be set for 32-bit systems via Active Desktop (<= Windows XP only)

Tested and confirmed working on:

- [ ] Windows Vista
- [X] Windows XP *(SP3)*
- [ ] Windows 2000
- [ ] Windows ME
- [ ] Windows 98 (SE)
- [ ] Windows NT 4
- [ ] Windows 95
- [ ] Windows NT 3.51

Note: This software should work fine in newer versions of Windows, but you should probably stick to a client actually targeting newer versions.
